:host {
	position: relative;
	z-index: 1;

	.input-wrapper {
		display: grid;
		grid-template-columns: min-content min-content 1fr min-content min-content min-content;
		gap: 4px;

		align-items: center;
		padding: 4px;
		background-color: var(--background-color-z1);
		border-radius: 4px;
		z-index: 0;
		transition: background-color 250ms ease;

		&.drag-highlight {
			background-color: rgba(40, 53, 147, 0.5);
		}

		&:focus-within mat-divider {
			background-color: #283593;
		}

		mat-divider {
			height: 100%;
			transition: background-color 300ms ease;
		}

		textarea {
			max-height: 100px;
			min-width: 0;
			margin: 0;
			resize: none;
			border: none;
			outline: none;
			background: none;
			color: currentColor;
			font-family: Arial, Helvetica, sans-serif;
		}
	}

	.file-preview-wrapper {
		position: absolute;
		left: 0;
		right: 0;
		bottom: 100%;
		height: 16px;

		&:hover .file-preview-container {
			pointer-events: all;
		}

		.file-preview-container {
			position: absolute;
			left: 0;
			bottom: 0;
			right: 0;
			overflow-y: hidden;
			pointer-events: none;

			display: grid;
			grid-auto-columns: minmax(128px, 256px);
			grid-template-rows: 128px;
			gap: var(--space);
			grid-auto-flow: column;

			&:empty {
				display: none;
			}

			.file-preview {
				transform: translateY(calc(100% - 24px));
				transition: transform 200ms ease-in-out;
				background-color: var(--background-color-z1);
				border-radius: 4px;
				pointer-events: all;
				overflow: hidden;

				&:hover {
					transform: translateY(0);

					.meta {
						transform: translateY(0);
					}
				}

				.meta {
					display: grid;
					grid-template-columns: 1fr min-content;
					grid-template-rows: 40px;
					align-items: center;

					position: absolute;
					top: 8px;
					right: 8px;
					left: 8px;

					color: white;
					transform: translateY(calc(-100% - 16px));
					transition: transform 200ms ease-in-out;
					background-color: rgba(0, 0, 0, 0.5);
					border-radius: 40px;
					padding-left: 20px;

					span {
						overflow: hidden;
						text-overflow: ellipsis;
						white-space: nowrap;
					}
				}

				img {
					width: 100%;
					height: 100%;
					object-fit: cover;
				}
			}
		}
	}
}
